### Method

# Clutter Actor get_pango_context

#### Declaration [src]

    PangoContext*
    clutter_actor_get_pango_context (
      ClutterActor* self
    )

#### Description [src]

Retrieves the `PangoContext` for `self`. The actor’s `PangoContext` is already configured using the appropriate font map, resolution and font options.

Unlike clutter_actor_create_pango_context(), this context is owend by the `ClutterActor` and it will be updated each time the options stored by the `ClutterBackend` change.

You can use the returned `PangoContext` to create a `PangoLayout` and render text using `cogl_pango_show_layout()` to reuse the glyphs cache also used by Clutter.

#### Return value

Type: `PangoContext`

The `PangoContext` for a `ClutterActor`. The returned `PangoContext` is owned by the actor and should not be unreferenced by the application code.

The returned data is owned by the instance.